tbb::internal::circular_doubly_linked_list_with_sentinel::node_t Struct Reference

`#include <concurrent_monitor.h>`

Inheritance diagram for tbb::internal::circular_doubly_linked_list_with_sentinel::node_t:
Collaboration diagram for tbb::internal::circular_doubly_linked_list_with_sentinel::node_t:

## Public Member Functions

| node_t ()

## Public Attributes

node_t * | next
node_t * | prev

## Detailed Description

Definition at line 35 of file concurrent_monitor.h.

## Constructor & Destructor Documentation

## node_t()

tbb::internal::circular_doubly_linked_list_with_sentinel::node_t::node_t | ( |  | ) |

inline explicit

Definition at line 38 of file concurrent_monitor.h.

: next((node_t*)(uintptr_t)0xcdcdcdcd), prev((node_t*)(uintptr_t)0xcdcdcdcd) {}

## Member Data Documentation

## next

node_t* tbb::internal::circular_doubly_linked_list_with_sentinel::node_t::next

Definition at line 36 of file concurrent_monitor.h.

Referenced by tbb::internal::concurrent_monitor::abort_all_relaxed(), tbb::internal::circular_doubly_linked_list_with_sentinel::add(), tbb::internal::circular_doubly_linked_list_with_sentinel::clear(), tbb::internal::circular_doubly_linked_list_with_sentinel::flush_to(), tbb::internal::circular_doubly_linked_list_with_sentinel::front(), tbb::internal::concurrent_monitor::notify_all_relaxed(), tbb::internal::concurrent_monitor::notify_relaxed(), tbb::internal::circular_doubly_linked_list_with_sentinel::remove(), and tbb::internal::circular_doubly_linked_list_with_sentinel::~circular_doubly_linked_list_with_sentinel().

## prev

node_t* tbb::internal::circular_doubly_linked_list_with_sentinel::node_t::prev

Definition at line 37 of file concurrent_monitor.h.

Referenced by tbb::internal::circular_doubly_linked_list_with_sentinel::add(), tbb::internal::circular_doubly_linked_list_with_sentinel::clear(), tbb::internal::circular_doubly_linked_list_with_sentinel::flush_to(), tbb::internal::circular_doubly_linked_list_with_sentinel::last(), tbb::internal::concurrent_monitor::notify_relaxed(), tbb::internal::circular_doubly_linked_list_with_sentinel::remove(), and tbb::internal::circular_doubly_linked_list_with_sentinel::~circular_doubly_linked_list_with_sentinel().

The documentation for this struct was generated from the following file:

- concurrent_monitor.h

tbb::internal::circular_doubly_linked_list_with_sentinel::node_t::next
node_t * next
Definition: concurrent_monitor.h:36
tbb::internal::circular_doubly_linked_list_with_sentinel::node_t::prev
node_t * prev
Definition: concurrent_monitor.h:37
tbb::internal::circular_doubly_linked_list_with_sentinel::node_t::node_t
node_t()
Definition: concurrent_monitor.h:38

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.